Subject: bug#28034: closed (Re: bug#28034: elixir build fails)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Dec 2017 09:26:02 +0000

Your bug report

#28034: elixir build fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28034: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28034
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28034: elixir build fails
From: [email-masked] (Ludovic Courtès)
To: nee <[email-masked]>
Cc: Pjotr Prins <[email-masked]>, [email-masked]
Date: Mon, 04 Dec 2017 10:25:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi nee,

nee <[email-masked]> skribis:

> Hello, thank you for the fast and detailed reply.
> I made two patches that upgrade erlang and elixir and disable the
> failing tests in elixir, and got it to build again.

Great, I applied both patches and added a copyright line for you in
elixir.scm.

> I sometimes get this undeterministic compile error (see the attached
> log). It's always the same error, but it doesn't appear every time, so I
> can get a passing build running:
>
> `until ./pre-inst-env guix build elixir; do sleep 1; done`
>
> I don't think that it is related to the version upgrade because I also
> got this with the old versions when I first tried to build it today.

Could you report it upstream?  We definitely need their help to fix this
kind of issues.

> While this still not good, it is at least an improvement over the
> current state where the package will fail to install in 100% of cases.

Indeed, thanks!

Ludo’.

Subject: elixir build fails
From: nee <[email-masked]>
To: [email-masked]
Date: Thu, 10 Aug 2017 02:00:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, elixir breaks during 'check' phase in
/test/logger/translator_test.exs

I'm getting the same logs locally.
https://hydra.gnu.org/build/2205382/nixlog/1/tail-reload

I don't know anything about elixir and just wanted to try it out.